Opened 11 years ago

Closed 11 years ago

Last modified 9 years ago

#5610 closed defect (fixed)

compile library issues with mytharchive

Reported by: spamme@… Owned by: Nigel
Priority: minor Milestone: 0.22
Component: mytharchive Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Recently, I had segmentation faults just launching mythfrontend. The problem seemed to be with mytharchive, and none of the updates fixed it. I even tried deleting everything and starting over again, and still no luck.

It crashes on libmt-qt-3.3.8 (which I knew we switch to qt4, hmmm) Today I tried make uninstall(and later of course "make install") on the mythtv and mythplugins directories and that seem to have cleared up the problem.

That means that the "make install" script did not update the mytharchive component(library) the last 30 times over at least 20 days. Yes, sometimes I do full compile more than once a day.

I don't know if any other components suffer from the same thing or not. I have been using mythtv for over 2 years so some of the components may not have been update in who knows how long, before today.

Attachments (1)

plugin-targetdep.patch (1.8 KB) - added by Nigel 11 years ago.
Try this

Download all attachments as: .zip

Change History (6)

Changed 11 years ago by Nigel

Attachment: plugin-targetdep.patch added

Try this

comment:1 Changed 11 years ago by anonymous

Don't know if your patch has anything to do with this or not, but now aacdecoder.cpp aacdecoder.cpp:317: error cannot convert 'unit32_t*' to 'long unsigned int*' for argument 4 in NeAACDecInit2

comment:2 Changed 11 years ago by Nigel

Anonymous, that is unrelated to the patch, and looks like incompatible versions of files in mythmusic. Try make distclean?

comment:3 Changed 11 years ago by paulh

Owner: changed from paulh to Nigel
Status: newassigned

comment:4 Changed 11 years ago by Nigel

Resolution: fixed
Status: assignedclosed

(In [18316]) Cause relink of plugins if installed libmyth* have changed. Should reduce plugin version incompatibility problems. Closes #5610.

comment:5 Changed 9 years ago by Janne Grunau

(In [25847]) remove libav* from mythplugins' TARGETDEPS

They should change infrequently compared to libmyth, ... Refs #5610

Note: See TracTickets for help on using tickets.